#footer {
    display: grid;
    grid-template-areas: 
    'logo rights free-space company-info'
    'legal-links legal-links legal-links legal-links';
    grid-template-columns: auto auto 1fr auto;
    grid-template-rows: auto auto;

    row-gap: 16px;

    font-size: 15px;
    padding: 32px 16px 32px 16px;
}
footer * {
    color: var(--bluegray-dark);
}
footer p {
    font-weight: 400;
}

footer a {
    margin: auto 24px;
    
    color: var(--bluegray-dark);
}

footer > a {
    margin-left: 0;
}
#studio-logo {
    grid-area: logo;

    height: 120px;
    shape-rendering: auto;
}

#copyright {
    grid-area: company-info;

    align-content: flex-start;
    align-self: center;
    text-align: end;
}
#copyright a {
    margin: 0;
}

#small-screen-info {
    display: none;
}
#large-screen-info {
    display: inline;
}

#rights {
    grid-area: rights;

    align-content: flex-end;
    align-self: center;
}
#legal-links {
    grid-area: legal-links;

    display: flex;
    justify-self: center;
    text-align: center;
}

@media(max-width: 1200px) {
    #footer {   
        grid-template-areas: 
            'logo'
            'copyright'
            'rights'
            'company-info'
            'legal-links';

        grid-template-columns: auto;
        grid-template-rows: auto auto auto auto;
    }
    footer * {
        word-break: normal;
    }

    #studio-logo {
        width: 100%;
        margin: 0 0 16px 0;
    }
    #copyright {
        text-align: center;
        margin: 0;
    }
    #copyright a {
        word-wrap: break-word;
    }
    #small-screen-info {
        display: inline;
    }
    #rights {
        text-align: center;
        margin: 0;
    }
    #legal-links {
        margin-top: 48px;
    }
}